using Microsoft.Extensions.Logging;

namespace EonaCat.Logger.EonaCatCoreLogger
{
    // This file is part of the EonaCat project(s) which is released under the Apache License.
    // See the LICENSE file or go to https://EonaCat.com/License for full license details.
    public class DiscordLoggerProvider : ILoggerProvider
    {
        private readonly DiscordLoggerOptions _options;

        public DiscordLoggerProvider(DiscordLoggerOptions options)
        {
            _options = options;
        }

        public ILogger CreateLogger(string categoryName)
        {
            return new DiscordLogger(categoryName, _options);
        }

        public void Dispose()
        {
            // Nothing to dispose
        }
    }
}
